## org.eclipse.datatools.sqltools.debugger.model
Class SPValue

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
              org.eclipse.datatools.sqltools.debugger.model.SPValue

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.debug.core.model.IDebugElement, org.eclipse.debug.core.model.IValue

    public class SPValue

extends SPDebugElement
implements org.eclipse.debug.core.model.IValue

Stored Procedure variables are flat and simple. Currently they are implemented as "literal" without changing method.

Author:
  Yang Liu

Constructor Summary
`SPValue(SPDebugTarget target, java.lang.String typeName, java.lang.String valueString)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getReferenceTypeName()`
`java.lang.String` `getValueString()`
`org.eclipse.debug.core.model.IVariable[]` `getVariables()`
`boolean` `hasVariables()`
`boolean` `isAllocated()`

Methods inherited from class org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
`fireChangeEvent, fireResumeEvent, fireSuspendEvent, getAdapter, getDebugTarget, getLaunch, getModelIdentifier, getSPDebugTarget, notSupported`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getDebugTarget, getLaunch, getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### SPValue

    public SPValue(SPDebugTarget target,
                   java.lang.String typeName,
                   java.lang.String valueString)

Parameters:
  `target` -

Method Detail

### getReferenceTypeName

    public java.lang.String getReferenceTypeName()
                                          throws org.eclipse.debug.core.DebugException

  Specified by:
    `getReferenceTypeName` in interface `org.eclipse.debug.core.model.IValue`
  Throws:
    `org.eclipse.debug.core.DebugException`

### getValueString

    public java.lang.String getValueString()

  Specified by:
    `getValueString` in interface `org.eclipse.debug.core.model.IValue`

### isAllocated

    public boolean isAllocated()
                        throws org.eclipse.debug.core.DebugException

  Specified by:
    `isAllocated` in interface `org.eclipse.debug.core.model.IValue`
  Throws:
    `org.eclipse.debug.core.DebugException`

### getVariables

    public org.eclipse.debug.core.model.IVariable[] getVariables()
                                                          throws org.eclipse.debug.core.DebugException

  Specified by:
    `getVariables` in interface `org.eclipse.debug.core.model.IValue`
  Throws:
    `org.eclipse.debug.core.DebugException`

### hasVariables

    public boolean hasVariables()
                         throws org.eclipse.debug.core.DebugException

  Specified by:
    `hasVariables` in interface `org.eclipse.debug.core.model.IValue`
  Throws:
    `org.eclipse.debug.core.DebugException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`